/**
 * CrankRocker (c) 2014-16 Stefan Goessner
 * @license
 * MIT License
 */
"use strict";var Crocker={psiMin:function(a,b,c,d){var cpso=(-c*c-d*d+(b+a)*(b+a))/(2*c*d);return cpso>=-1&&cpso<=1?Math.acos(cpso):Number.NaN},psiMax:function(a,b,c,d){var cpsi=(-c*c-d*d+(b-a)*(b-a))/(2*c*d);return cpsi>=-1&&cpsi<=1?Math.acos(cpsi):Number.NaN},phiMin:function(a,b,c,d){return Math.acos(((b+a)*(b+a)-c*c+d*d)/(2*(b+a)*d))},phiMax:function(a,b,c,d){return Math.PI+Math.acos(((b-a)*(b-a)-c*c+d*d)/(2*(b-a)*d))},phi0:function(a,b,c,d){return Math.PI+Crocker.alfa(a,b,c,d)},muInner:function(a,b,c,d){return Math.acos((b*b+c*c-(d-a)*(d-a))/(2*b*c))},muOuter:function(a,b,c,d){var mu=Math.acos((b*b+c*c-(d+a)*(d+a))/(2*b*c));return mu<0?Math.PI-mu:mu},muMin:function(a,b,c,d){return Math.min(Crocker.muInner(a,b,c,d),Crocker.muOuter(a,b,c,d))},alfa_tfb:function(tfb){return Math.PI*(tfb-1)/(tfb+1)},alfa:function(a,b,c,d){return Math.acos(((b-a)*(b-a)-c*c+d*d)/(2*(b-a)*d))-Math.acos(((b+a)*(b+a)-c*c+d*d)/(2*(b+a)*d))},alfa_abc:function(a,b,c,ps0){return Math.acos((a*a+b*b-c*c*(1-Math.cos(ps0)))/(b*b-a*a))},alfa_abd:function(a,b,d,ps0){return ps0-2*Math.asin(Math.sqrt((d*d*Crocker.sqr(Math.sin(ps0/2))-a*a)/(b*b-a*a)))},alfa_acd:function(a,c,d,ps0){if(Crocker.isEps(a,c*Math.sin(ps0/2)))return 0;else{var f=function f(alf){return a*a*Math.sin(ps0/2-alf)-c*c*Crocker.sqr(Math.sin(ps0/2-alf/2))*Math.sin(ps0/2)+d*d*Crocker.sqr(Math.sin(alf/2))*Math.sin(ps0/2)},fd=function fd(alf){return-a*a*Math.cos(ps0/2-alf)+c*c*Math.sin(ps0/2-alf/2)*Math.cos(ps0/2-alf/2)*Math.sin(ps0/2)+d*d*Math.sin(alf/2)*Math.cos(alf/2)*Math.sin(ps0/2)};return Crocker.newton(f.bind(null),fd.bind(null),0,30)}},alfa_bcd:function(b,c,d,ps0){function f(alf){return b*b*Math.sin(ps0/2-alf)+c*c*Crocker.sqr(Math.cos(ps0/2-alf/2))*Math.sin(ps0/2)-d*d*Crocker.sqr(Math.cos(alf/2))*Math.sin(ps0/2)}function fd(alf){return-b*b*Math.cos(ps0/2-alf)+c*c*Math.sin(ps0/2-alf/2)*Math.cos(ps0/2-alf/2)*Math.sin(ps0/2)+d*d*Math.sin(alf/2)*Math.cos(alf/2)}return Crocker.newton(f.bind(null),fd.bind(null),0,30)},psi0:function(a,b,c,d){var cpsi=(-c*c-d*d+(b-a)*(b-a))/(2*c*d),cpso=(-c*c-d*d+(b+a)*(b+a))/(2*c*d);return cpsi>=-1&&cpsi<=1&&cpso>=-1&&cpso<=1?Math.acos(cpsi)-Math.acos(cpso):Number.NaN},psi0_abc:function(a,b,c,alf){return Math.acos(1-(a*a+b*b-(b*b-a*a)*Math.cos(alf))/(c*c))},psi0_abd:function(a,b,d,alf){function f(a,b,d,alf,ps0){return a*a*Crocker.sqr(Math.cos(ps0/2-alf/2))+b*b*Crocker.sqr(Math.sin(ps0/2-alf/2))-d*d*Crocker.sqr(Math.sin(ps0/2))}function fd(a,b,d,alf,ps0){return-a*a*Math.cos(ps0/2-alf/2)*Math.sin(ps0/2-alf/2)+b*b*Math.sin(ps0/2-alf/2)*Math.cos(ps0/2-alf/2)-d*d*Math.sin(ps0/2)*Math.cos(ps0/2)}return Crocker.newton(f.bind(null),fd.bind(null),Math.PI/2,30)},psi0_acd:function(a,c,d,alf){if(Crocker.isEps(a,d*Math.sin(alf/2)))return alf;else{var f=function f(ps0){return a*a*Math.sin(ps0/2-alf)-c*c*Crocker.sqr(Math.sin(ps0/2-alf/2))*Math.sin(ps0/2)+d*d*Crocker.sqr(Math.sin(alf/2))*Math.sin(ps0/2)},fd=function fd(ps0){return a*a/2*Math.cos(ps0/2-alf)-c*c*Math.sin(ps0/2-alf/2)*Math.cos(ps0/2-alf/2)*Math.sin(ps0/2)-c*c/2*Crocker.sqr(Math.sin(ps0/2-alf/2))*Math.cos(ps0/2)+d*d/2*Crocker.sqr(Math.sin(alf/2))*Math.cos(ps0/2)};return Crocker.newton(f.bind(null),fd.bind(null),Math.PI/2,30)}},psi0_bcd:function(b,c,d,alf){function f(b,c,d,alf,ps0){return b*b*Math.sin(ps0/2-alf)+c*c*Crocker.sqr(Math.cos(ps0/2-alf/2))*Math.sin(ps0/2)-d*d*Crocker.sqr(Math.cos(alf/2))*Math.sin(ps0/2)}function fd(b,c,d,alf,ps0){return b*b/2*Math.cos(ps0/2-alf)-c*c*Math.sin(ps0/2-alf/2)*Math.cos(ps0/2-alf/2)*Math.sin(ps0/2)+c*c/2*Crocker.sqr(Math.cos(ps0/2-alf/2))*Math.cos(ps0/2)-d*d/2*Crocker.sqr(Math.cos(alf/2))*Math.cos(ps0/2)}return Crocker.newton(f.bind(null),fd.bind(null),Math.PI/2,30)},a_bc:function(b,c,alf,ps0){return Math.sqrt((c*c*Crocker.sqr(Math.sin(ps0/2))-b*b*Crocker.sqr(Math.sin(alf/2)))/Crocker.sqr(Math.cos(alf/2)))},a_bd:function(b,d,alf,ps0){return Math.sqrt((d*d*Crocker.sqr(Math.sin(ps0/2))-b*b*Crocker.sqr(Math.sin(ps0/2-alf/2)))/Crocker.sqr(Math.cos(ps0/2-alf/2)))},a_cd:function(c,d,alf,ps0){return!Crocker.isEps(c,d)?Math.sqrt((c*c*Crocker.sqr(Math.sin(ps0/2-alf/2))-d*d*Crocker.sqr(Math.sin(alf/2)))*Math.sin(ps0/2)/Math.sin(ps0/2-alf)):Number.NaN},b_ac:function(a,c,alf,ps0){return!Crocker.isEps(alf)?Math.sqrt((c*c*Crocker.sqr(Math.sin(ps0/2))-a*a*Crocker.sqr(Math.cos(alf/2)))/Crocker.sqr(Math.sin(alf/2))):Number.NaN},b_ad:function(a,d,alf,ps0){return!Crocker.isEps(alf,ps0)?Math.sqrt((d*d*Crocker.sqr(Math.sin(ps0/2))-a*a*Crocker.sqr(Math.cos(ps0/2-alf/2)))/Crocker.sqr(Math.sin(ps0/2-alf/2))):Number.NaN},b_cd:function(c,d,alf,ps0){return!Crocker.isEps(c,d)?Math.sqrt((d*d*Crocker.sqr(Math.cos(alf/2))-c*c*Crocker.sqr(Math.cos(ps0/2-alf/2)))*Math.sin(ps0/2)/Math.sin(ps0/2-alf)):Number.NaN},c_ab:function(a,b,alf,ps0){return Math.sqrt((a*a*Crocker.sqr(Math.cos(alf/2))+b*b*Crocker.sqr(Math.sin(alf/2)))/Crocker.sqr(Math.sin(ps0/2)))},c_ad:function(a,d,alf,ps0){return!Crocker.isEps(alf,ps0)?Math.sqrt((a*a*Math.sin(ps0/2-alf)/Math.sin(ps0/2)+d*d*Crocker.sqr(Math.sin(alf/2)))/Crocker.sqr(Math.sin(ps0/2-alf/2))):Number.NaN},c_bd:function(b,d,alf,ps0){return Math.sqrt(-(b*b*Math.sin(ps0/2-alf)/Math.sin(ps0/2)-d*d*Crocker.sqr(Math.cos(alf/2)))/Crocker.sqr(Math.cos(ps0/2-alf/2)))},d_ab:function(a,b,alf,ps0){return Math.sqrt((a*a*Crocker.sqr(Math.cos(ps0/2-alf/2))+b*b*Crocker.sqr(Math.sin(ps0/2-alf/2)))/Crocker.sqr(Math.sin(ps0/2)))},d_ac:function(a,c,alf,ps0){return!Crocker.isEps(alf)?Math.sqrt(-(a*a*Math.sin(ps0/2-alf)/Math.sin(ps0/2)-c*c*Crocker.sqr(Math.sin(ps0/2-alf/2)))/Crocker.sqr(Math.sin(alf/2))):Number.NaN},d_bc:function(b,c,alf,ps0){return Math.sqrt((b*b*Math.sin(ps0/2-alf)/Math.sin(ps0/2)+c*c*Crocker.sqr(Math.cos(ps0/2-alf/2)))/Crocker.sqr(Math.cos(alf/2)))},a_muMinMax:function(d,alf,ps0){function cosmu(a,d,alf,ps0){var b=Math.sqrt(B*a*a+d*d*Crocker.sqr(Math.sin(ps0/2))/Crocker.sqr(Math.sin(ps0/2-alf/2))),c=Math.sqrt(C*a*a+d*d*Crocker.sqr(Math.sin(alf/2))/Crocker.sqr(Math.sin(ps0/2-alf/2))),bd=B*a/b,cd=C*a/c,bdd=(B-bd*bd)/b,cdd=(C-cd*cd)/c,bddd=-3*bd*bdd/b,cddd=-3*cd*cdd/c,sign=alf>0?1:-1,f=(b*b+c*c-d*d+sign*2*a*d-a*a)/(2*b*c),fd=((B+C-1)*a+sign*d-(bd*c+b*cd)*f)/(b*c),fdd=(B+C-1-2*(bd*c+b*cd)*fd-(bdd*c+2*bd*cd+b*cdd)*f)/(b*c),fddd=-(3*(bd*c+b*cd)*fdd+3*(bdd*c+2*bd*cd+b*cdd)*fd+(bddd*c+3*bdd*cd+3*bd*cdd+b*cddd)*f)/(b*c);return{f:f,fd:fd,fdd:fdd,fddd:fddd}}if(Crocker.isEps(alf-ps0))return d*Math.sin(ps0/2);var B=-1/Crocker.sqr(Math.tan(ps0/2-alf/2)),C=Math.sin(ps0/2-alf)/Crocker.sqr(Math.sin(ps0/2-alf/2))/Math.sin(ps0/2),D=d*d*(1-Math.sin(ps0/2-alf)/Math.sin(ps0/2))/(2*Crocker.sqr(Math.sin(ps0/2))-Crocker.sqr(Math.sin(ps0/2-alf/2))),a=.9999*d*Math.sin(ps0/2)/Math.cos(ps0/2-alf/2),q=1,cm;for(var i=0;i<30&&Math.abs(q)>1e-4;i++){cm=cosmu(a,d,alf,ps0);a-=q=cm.fd/cm.fdd}return a},sqr:function(x){return x*x},isEps:function(u,v){var EPS=1.19209e-7;u=v?u-v:u;return u<EPS&&u>-EPS},newton:function(f,fd,x0,itrmax){var i=0,x=x0,fval,fdval;itrmax=itrmax||30;do{fval=f(x);fdval=fd(x);x-=fval/fdval}while(i++<itrmax&&!Crocker.isEps(fval));return i<itrmax?x:Number.NaN}};if(typeof module!=="undefined")module.exports=Crocker;